use std::collections::HashMap as hash;

fn main() {
    let mut map = hash::new();
    map.insert(1, 2);
}

mod back_of_house {
    pub struct Breakfast {
        pub toast: String,
        seasonal_fruit: String,
    }

    impl Breakfast {
        pub fn summer(toast: &str) -> Breakfast {
            Breakfast {
                toast: String::from(toast),
                seasonal_fruit: String::from("peaches"),
            }
        }
    }
}

mod front_of_house {
    use crate::back_of_house::*;
    use crate::{back_of_house, house::Appetiziters};
    pub fn eat_at_restaurant() {
        let mut meal = back_of_house::Breakfast::summer("Rye");
        meal.toast = String::from("Wheat");
        println!("I'd like {} toast please", meal.toast);
        // meal.seasonal_fruit = String::from("blueberries");
        let order1 = Appetiziters::Soup;
        let order2 = crate::house::Appetiziters::Salad;
    }
}

mod house {
    use crate::back_of_house::Breakfast;

    pub enum Appetiziters {
        Soup,
        Salad,
    }
    pub fn add_to_waitlist() {
        Breakfast::summer("Rye");
    }
}
